MapReduceBase (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MapReduceBase

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase

All Implemented Interfaces:
  Closeable, JobConfigurable

Direct Known Subclasses:
  DistributedPentomino.PentMap, IdentityMapper, IdentityReducer, IndexUpdateCombiner, IndexUpdateMapper, IndexUpdateReducer, InverseMapper, LongSumReducer, MultiFileWordCount.MapClass, PiEstimator.PiMapper, PiEstimator.PiReducer, RegexMapper, TeraGen.SortGenMapper, TokenCountMapper

    public class MapReduceBase

extends Object
implements Closeable, JobConfigurable

Base class for `Mapper` and `Reducer` implementations.

Provides default no-op implementations for a few methods, most non-trivial applications need to override some of them.

Constructor Summary
`MapReduceBase()`

Method Summary
`void` | `close()` Default implementation that does nothing.
`void` | `configure(JobConf job)` Default implementation that does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapReduceBase

    public MapReduceBase()

Method Detail

### close

    public void close()
               throws IOException

  Default implementation that does nothing.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### configure

    public void configure(JobConf job)

  Default implementation that does nothing.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `job` - the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation